#ifndef BURIEDPOINTDATA_H
#define BURIEDPOINTDATA_H

#include <QObject>
#include <QString>
#include <QTimer>
#include <QDebug>

#ifdef EXISTS_KYSDK_DIAGNOSTICS
//埋点
#include <kysdk/kysdk-base/libkydiagnostics.h>
#endif

class BuriedPointData : public QObject
{
    Q_OBJECT
public:
    BuriedPointData(QObject *parent = nullptr);

    //void sendWriteInDataSignal(QString,QString);

#ifdef EXISTS_KYSDK_DIAGNOSTICS
    static bool buriedSettings(QString,QString);
#endif

Q_SIGNALS:
    void writeInData(QString,QString);
public slots:
    void writeInDataSlot(QString,QString);
private:
    bool run_timer_flag = true;
    QTimer * m_data_reprot_timer = nullptr;
};

#endif // BURIEDPOINTDATA_H
